DROP OPERATOR CLASS(7)

NAME
DROP OPERATOR CLASS - remove a user-defined operator class

SYNOPSIS

DROP OPERATOR CLASS name USING access_method [ CASCADE | RESTRICT ]

  INPUTS

name
    The name (optionally schema-qualified) of an existing operator class.

access_method
    The name of the index access method the operator class is for.

CASCADE
    Automatically drop objects that depend on the operator class.

RESTRICT
    Refuse to drop the operator class if there are any dependent objects. This is the default.

  OUTPUTS

DROP OPERATOR CLASS
    The message returned if the command is successful.

DESCRIPTION

DROP OPERATOR CLASS drops an existing operator class from the database. To execute this command you must be the owner of the operator class.

  NOTES

The DROP OPERATOR CLASS statement is a PostgreSQL language extension.

Refer to CREATE OPERATOR CLASS [create_operator_class(7)] for information on how to create operator classes.

USAGE

Remove B-tree operator class widget_ops:

DROP OPERATOR CLASS widget_ops USING btree;

This command will not execute if there are any existing indexes that use the operator class. Add CASCADE to drop such indexes along with the operator class.

COMPATIBILITY

  SQL92

There is no DROP OPERATOR CLASS in SQL92.